Sysinternals Homepage
Forum Home Forum Home > Sysinternals Utilities > Process Explorer
  New Posts New Posts RSS Feed - Process Explorer v11.12 on Windows 9x/Me
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

Process Explorer v11.12 on Windows 9x/Me

 Post Reply Post Reply Page  123 4>
Author
Message
gg41 View Drop Down
Newbie
Newbie


Joined: 09 April 2008
Location: France
Status: Offline
Points: 5
Post Options Post Options   Thanks (0) Thanks(0)   Quote gg41 Quote  Post ReplyReply Direct Link To This Post Topic: Process Explorer v11.12 on Windows 9x/Me
    Posted: 09 April 2008 at 5:34am
Hello,

This latest version(11.12)does not work on Windows9x/Me. It has something happens to be done to make this work?
Perhaps you put a link with version 11.11

Thank you in advance for your answers.

Sincerely
Back to Top
molotov View Drop Down
Moderator Group
Moderator Group
Avatar

Joined: 04 October 2006
Status: Offline
Points: 17531
Post Options Post Options   Thanks (0) Thanks(0)   Quote molotov Quote  Post ReplyReply Direct Link To This Post Posted: 09 April 2008 at 5:40am
Hi gg41,
 
Can you explain what you mean by "doesn't work"?
 
Hm, perhaps this is related to Christophe's report in Process Explorer on Windows NT.  Don't have a 98 / ME box or an NT box to test it with... EmbarrassedUnhappy


Edited by molotov - 09 April 2008 at 6:12am
Daily affirmation:
net helpmsg 4006
Back to Top
gg41 View Drop Down
Newbie
Newbie


Joined: 09 April 2008
Location: France
Status: Offline
Points: 5
Post Options Post Options   Thanks (0) Thanks(0)   Quote gg41 Quote  Post ReplyReply Direct Link To This Post Posted: 09 April 2008 at 9:04am
When I started the program, here is the error messages I get :

The file C:\PROGRAM FILES\PROCESSEXPLORER\PROCEXP.EXE
Requires a newer version of Windows.
Upgrade your version of Windows.

C:\Program Files\ProcessExplorer\procexp.exe
A device attached to the system is not working properly.

Back to Top
redhawk View Drop Down
Moderator Group
Moderator Group
Avatar

Joined: 14 September 2005
Location: United Kingdom
Status: Offline
Points: 1362
Post Options Post Options   Thanks (0) Thanks(0)   Quote redhawk Quote  Post ReplyReply Direct Link To This Post Posted: 09 April 2008 at 9:19am
Running Process Explorer v11.12 on Windows 98SE
"The ...\PROCEXP.EXE file expects a newer version of Windows.
Upgrade your Windows version."
and
"A device attached to the system is not functioning."

Compatibility for Windows 98SE is broken and Windows 95 still unsupported because of unfixed IDP problem.

Richard S.

Edited by redhawk - 09 April 2008 at 9:40am
Back to Top
EP_X0FF View Drop Down
Senior Member
Senior Member
Avatar

Joined: 08 March 2006
Location: Russian Federation
Status: Offline
Points: 4758
Post Options Post Options   Thanks (0) Thanks(0)   Quote EP_X0FF Quote  Post ReplyReply Direct Link To This Post Posted: 09 April 2008 at 9:43am
And what you guys expecting? Windows 9x dropped long time ago and newest versions of PE just provides legacy support for this OS's. Now even it is dropped.
Back to Top
redhawk View Drop Down
Moderator Group
Moderator Group
Avatar

Joined: 14 September 2005
Location: United Kingdom
Status: Offline
Points: 1362
Post Options Post Options   Thanks (0) Thanks(0)   Quote redhawk Quote  Post ReplyReply Direct Link To This Post Posted: 09 April 2008 at 10:04am
I agree that legacy OS support for 9x is dead but people still run them on old machines or Virtual Machines.
The fact is Sysinternals still advertises Process Explorer with multiplatform support including Windows 9x when it clearly does not.

Richard S.

Edited by redhawk - 09 April 2008 at 10:06am
Back to Top
EP_X0FF View Drop Down
Senior Member
Senior Member
Avatar

Joined: 08 March 2006
Location: Russian Federation
Status: Offline
Points: 4758
Post Options Post Options   Thanks (0) Thanks(0)   Quote EP_X0FF Quote  Post ReplyReply Direct Link To This Post Posted: 09 April 2008 at 9:29pm
What about tracing new version with Dependency Walker?
Back to Top
redhawk View Drop Down
Moderator Group
Moderator Group
Avatar

Joined: 14 September 2005
Location: United Kingdom
Status: Offline
Points: 1362
Post Options Post Options   Thanks (0) Thanks(0)   Quote redhawk Quote  Post ReplyReply Direct Link To This Post Posted: 10 April 2008 at 10:17am
Comparing Process Explorer v11.11 with v11.12 I can't see any difference however using an old program called "Quick View" it appears the newer version specifically requires an OS higher than 9x/NT4 to run.
(Process Explorer 11.12)
Operating System Version: 5.00
Image Version: 0.00
Subsystem Version: 5.00

(Process Explorer 11.11)
Operating System Version: 4.00
Image Version: 0.00
Subsystem Version: 4.00

It's highly likely that Process Explorer was compiled incorrectly with a restricted OS target.

Richard S.
Back to Top
EP_X0FF View Drop Down
Senior Member
Senior Member
Avatar

Joined: 08 March 2006
Location: Russian Federation
Status: Offline
Points: 4758
Post Options Post Options   Thanks (0) Thanks(0)   Quote EP_X0FF Quote  Post ReplyReply Direct Link To This Post Posted: 10 April 2008 at 10:23am
Originally posted by redhawk redhawk wrote:

It's highly likely that Process Explorer was compiled incorrectly with a restricted OS target.

Maybe this was done specially to drop support?

OS/Subsystem version is the reason of failing to start on Windows NT4.0 and Windows 9x. By the way you can try to patch it with PeTools for example, but this will break digital signature.


Edited by EP_X0FF - 10 April 2008 at 10:59am
Back to Top
molotov View Drop Down
Moderator Group
Moderator Group
Avatar

Joined: 04 October 2006
Status: Offline
Points: 17531
Post Options Post Options   Thanks (0) Thanks(0)   Quote molotov Quote  Post ReplyReply Direct Link To This Post Posted: 10 April 2008 at 10:36am
Looks like PE 11.12 (and Procmon 1.30, and  Handle 3.31) may be the first version to be built with Visual Studio 2008.  I'd speculate that the /SUBSYSTEM linker switch was not adjusted from the default, which would appear to be 5.0 for VS 2008's linker.

Edited by molotov - 10 April 2008 at 10:58am
Daily affirmation:
net helpmsg 4006
Back to Top
 Post Reply Post Reply Page  123 4>
  Share Topic   

Forum Jump Forum Permissions View Drop Down

Forum Software by Web Wiz Forums® version 11.06
Copyright ©2001-2016 Web Wiz Ltd.